lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "roxbury/version"

Gem::Specification.new do |spec|
  spec.name          = "roxbury"
  spec.version       = Roxbury::VERSION
  spec.authors       = ["Emmanuel Nicolau"]
  spec.email         = ["emmanicolau@gmail.com"]

  spec.summary       = %q{Ruby library for business days calculations}
  spec.description   = %q{A Ruby library for handling business days calculations, e.g., working days/hours between two dates, add working days/hours to a date, etc.}
  spec.homepage      = "https://github.com/eeng/roxbury"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", ">= 4.2"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'pry-byebug'
end
